#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		fname		%(echo FontForge)
#-----------------------------------------------------------------------------
Name		:	fontforge
Version		:	20230101
Release		:	17.0.10.rel%{?dist}
Summary		:	Outline and bitmap font editor

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/fontforge/fontforge/releases

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-French-and-Italian-translations.patch
#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	freetype-devel
BuildRequires	:	glib-devel
BuildRequires	:	libspiro-devel
BuildRequires	:	libuninameslist-devel
BuildRequires	:	libxml2
BuildRequires	:	python3-sphinx
BuildRequires	:	python3-libstemmer

#-----------------------------------------------------------------------------
%description
'%{name}' (former PfaEdit) is a font editor for outline and
bitmap fonts. It supports a range of font formats, including
PostScript (ASCII and binary Type 1, some Type 3 and Type 0),
TrueType, OpenType (Type2) and CID-keyed fonts.

#-----------------------------------------------------------------------------
%files			-f %{fname}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/fontimage
%{_bindir}/fontlint
%{_bindir}/sfddiff
%{_libdir}/lib%{name}.so.*
%{_datadir}/%{name}/cidmap/Adobe-*cidmap
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/%{name}/pixmaps/*.ttf
%{_datadir}/%{name}/pixmaps/*.xbm
%{_datadir}/%{name}/pixmaps/OFL.txt
%{_datadir}/%{name}/pixmaps/resources
%{_datadir}/%{name}/prefs
%{_datadir}/%{name}/hotkeys/default
%{_datadir}/%{name}/python/excepthook.py
%{_datadir}/applications/org.%{name}.*.desktop
%{_datadir}/icons/hicolor/*/apps/org.%{name}.*.png
%{_datadir}/icons/hicolor/scalable/apps/org.%{name}.*.svg
%{_datadir}/mime/packages/fontforge.xml
%{_datadir}/metainfo/org.%{name}.FontForge.appdata.xml
%{python3_sitearch}/fontforge.so
%{python3_sitearch}/psMat.so
%{_mandir}/man1/*.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}
Requires	:       %{name}-doc	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description    	devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so

#=============================================================================
%package		doc
Summary		:	Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description    	doc
This package contains documentation files for %{name}.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}/_images/*.{gif,jpeg,png,svg}
%{_defaultdocdir}/%{name}/_static/*.{css,js,png}
%{_defaultdocdir}/%{name}/*.html
%{_defaultdocdir}/%{name}/fontutils/*.html
%{_defaultdocdir}/%{name}/appendices/*.html
%{_defaultdocdir}/%{name}/appendices/ofl/*.html
%{_defaultdocdir}/%{name}/objects.inv
%{_defaultdocdir}/%{name}/searchindex.js
%{_defaultdocdir}/%{name}/scripting/*.html
%{_defaultdocdir}/%{name}/scripting/python/*.html
%{_defaultdocdir}/%{name}/techref/*.html
%{_defaultdocdir}/%{name}/tutorial/*.html
%{_defaultdocdir}/%{name}/ui/*.html
%{_defaultdocdir}/%{name}/ui/dialogs/*.html
%{_defaultdocdir}/%{name}/ui/mainviews/*.html
%{_defaultdocdir}/%{name}/ui/menus/*.html
%{_defaultdocdir}/%{name}/ui/misc/*.html
%{_defaultdocdir}/%{name}/old/de/*.html
%{_defaultdocdir}/%{name}/old/de/FontForge.css
%{_defaultdocdir}/%{name}/old/ja/*.png
%{_defaultdocdir}/%{name}/old/ja/*.html
%{_defaultdocdir}/%{name}/old/ja/FontForge.css
%{_defaultdocdir}/%{name}/old/ja/nonBMP/index.html

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build
CFLAGS=-Wno-expansion-to-defined			\
CXXFLAGS=-Wno-expansion-to-defined			\
cmake							\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D ENABLE_GUI=OFF				\
	-D ENABLE_X11=OFF				\
	-D ENABLE_LIBSPIRO=ON				\
	-D ENABLE_LIBUNINAMESLIST=ON			\
	-W no-dev					\
	..

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%{__rm} -f						\
	%{buildroot}%{_defaultdocdir}/%{name}/{.buildinfo,.nojekyll}

%find_lang	%{fname}

#-----------------------------------------------------------------------------
%changelog
